DlPropertyObject subclass: #DlHtmlDocFactory
	instanceVariableNames: 'analysisStorage '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Dandelion-outputter-html'!
!DlHtmlDocFactory commentStamp: '<historical>' prior: 0!
I am a factory of HtmlDocs for DlHtmlOutputter.

#creator
[:masashi | ^umezawa] 
#version 0.4!


!DlHtmlDocFactory methodsFor: 'actions' stamp: 'M.U 12/30/1999 17:23'!
allClassCategoryIndexHtmlDoc
	^self createNamed: #allClassCategoryIndexHtmlDoc
		! !

!DlHtmlDocFactory methodsFor: 'actions' stamp: 'M.U 12/30/1999 17:23'!
allClassIndexHtmlDoc
	^self createNamed: #allClassIndexHtmlDoc
		! !

!DlHtmlDocFactory methodsFor: 'actions' stamp: 'MU 2/20/2000 00:54'!
changeSetAddedClassesHtmlDoc
	^self createNamed: #changeSetAddedClassesHtmlDoc
		! !

!DlHtmlDocFactory methodsFor: 'actions' stamp: 'MU 2/6/2000 16:08'!
changeSetOverviewHtmlDoc
	^self createNamed: #changeSetOverviewHtmlDoc
		! !

!DlHtmlDocFactory methodsFor: 'actions' stamp: 'M.U 12/30/1999 17:23'!
classCategoryDetailHtmlDoc
	^self createNamed: #classCategoryDetailHtmlDoc
		! !

!DlHtmlDocFactory methodsFor: 'actions' stamp: 'M.U 12/30/1999 17:23'!
classCategorySummaryHtmlDoc
	^self createNamed: #classCategorySummaryHtmlDoc
		! !

!DlHtmlDocFactory methodsFor: 'actions' stamp: 'M.U 12/30/1999 17:30'!
classHtmlDoc
	^self createNamed: #classHtmlDoc
		! !

!DlHtmlDocFactory methodsFor: 'actions' stamp: 'M.U 12/30/1999 17:24'!
globalRootHtmlDoc
	^self createNamed: #globalRootHtmlDoc
		! !

!DlHtmlDocFactory methodsFor: 'actions' stamp: 'M.U 12/30/1999 17:21'!
overviewHtmlDoc
	^self createNamed: #overviewHtmlDoc
		! !

!DlHtmlDocFactory methodsFor: 'actions' stamp: 'M.U 12/30/1999 17:24'!
poolHtmlDoc
	^self createNamed: #poolHtmlDoc
		! !

!DlHtmlDocFactory methodsFor: 'actions' stamp: 'M.U 1/17/2000 00:27'!
styleSheetDoc
	^self createNamed: #styleSheetDoc
		! !

!DlHtmlDocFactory methodsFor: 'actions' stamp: 'M.U 12/30/1999 17:21'!
topHtmlDoc
	^self createNamed: #topHtmlDoc
		! !

!DlHtmlDocFactory methodsFor: 'actions' stamp: 'M.U 12/30/1999 17:24'!
wholeIndexHtmlDoc
	^self createNamed: #wholeIndexHtmlDoc
		! !

!DlHtmlDocFactory methodsFor: 'actions' stamp: 'M.U 12/30/1999 17:24'!
wholeIndexListHtmlDoc
	^self createNamed: #wholeIndexListHtmlDoc
		! !


!DlHtmlDocFactory methodsFor: 'factory' stamp: 'M.U 12/30/1999 16:50'!
globalRoot
	^Smalltalk! !


!DlHtmlDocFactory methodsFor: 'private' stamp: 'M.U 1/1/2000 22:37'!
createNamed: aClassNameSymbol 
	| clsName cls |
	clsName := self properties at: aClassNameSymbol ifAbsent: [].
	cls := self globalRoot at: clsName ifAbsent: [].
	^cls isNil
		ifTrue:[]
		ifFalse: 
			[ | inst |
			inst := cls new.
			inst setProperties: self properties.
			inst]! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

DlHtmlDocFactory class
	instanceVariableNames: ''!

!DlHtmlDocFactory class methodsFor: 'property' stamp: 'MU 3/16/2000 01:29'!
defaultProperties
	^super defaultProperties
		at: #styleSheetDoc put: #DlDandelionCssDoc;
		at: #topHtmlDoc put: #DlTopHtmlDoc;
		at: #overviewHtmlDoc put: #DlOverviewHtmlDoc;
		at: #allClassCategoryIndexHtmlDoc put: #DlAllClassCategoryIndexHtmlDoc;
		at: #allClassIndexHtmlDoc put: #DlAllClassIndexHtmlDoc;
		at: #classCategorySummaryHtmlDoc put: #DlClassCategorySummaryHtmlDoc;
		at: #classCategoryDetailHtmlDoc put: #DlClassCategoryDetailHtmlDoc;
		at: #classHtmlDoc put: #DlClassHtmlDoc;
		at: #globalRootHtmlDoc put: #DlGlobalRootHtmlDoc;
		at: #poolHtmlDoc put: #DlPoolHtmlDoc;
		at: #wholeIndexListHtmlDoc put: #DlWholeIndexListHtmlDoc;
		at: #wholeIndexHtmlDoc put: #DlWholeIndexHtmlDoc;
		at: #changeSetOverviewHtmlDoc put: #DlChangeSetOverviewHtmlDoc;
		yourself.! !


DlHtmlDocFactory subclass: #DlChangeSetHtmlDocFactory
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Dandelion-outputter-html'!
!DlChangeSetHtmlDocFactory commentStamp: '<historical>' prior: 0!
I am a factory of HtmlDocs for DlChangeSetHtmlOutputter.

#creator
[:masashi | ^umezawa] 
#version 0.4!


!DlChangeSetHtmlDocFactory methodsFor: 'actions' stamp: 'MU 2/20/2000 01:13'!
changeSetClassesHtmlDoc
	^self createNamed: #changeSetClassesHtmlDoc
		! !

!DlChangeSetHtmlDocFactory methodsFor: 'actions' stamp: 'MU 2/20/2000 01:13'!
changeSetMethodsHtmlDoc
	^self createNamed: #changeSetMethodsHtmlDoc
		! !

!DlChangeSetHtmlDocFactory methodsFor: 'actions' stamp: 'MU 2/20/2000 00:56'!
changeSetOverviewHtmlDoc
	^self createNamed: #changeSetOverviewHtmlDoc
		! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

DlChangeSetHtmlDocFactory class
	instanceVariableNames: ''!

!DlChangeSetHtmlDocFactory class methodsFor: 'property' stamp: 'MU 3/16/2000 01:30'!
defaultProperties
	^super defaultProperties
		at: #changeSetOverviewHtmlDoc put: #DlChangeSetOverviewHtmlDoc;
		at: #changeSetClassesHtmlDoc put: #DlChangeSetClassesHtmlDoc;
		at: #changeSetMethodsHtmlDoc put: #DlChangeSetMethodsHtmlDoc;
		yourself.! !


DlProperties subclass: #DlHtmlOutputProperties
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Dandelion-outputter-html'!
!DlHtmlOutputProperties commentStamp: '<historical>' prior: 0!
Below properties can be set. see each method for details

page elements:
#(addressTitle addressURL allClassCategoryIndexTitle allClassIndexTitle allGlobalIndexTitle allPoolIndexTitle classCategoryDetailTitle classCategorySummaryTitle classInstanceVariablesTitle classMethodsTitle classTitle classVariablesTitle commentTitle creatorComment definedInComment detailTitle generatorTitle hierarchyTitle initialValueTitle instanceMethodsTitle instanceTitle instanceVariablesTitle methodsTitle nonFrameGuide nonFrameTitle overviewTitle poolTitle sorryTitle summaryTitle systemTitle tableHeaderRowColor tableRowEmphasisColor tableRowNormalColor topPageTitle valueTitle wholeIndexTitle)

frame elements:
#(mainFrameName subMenuFrameName topMenuFrameName)

file elements:
#(allClassCategoryIndexName allClassIndexName classCategoryDetailName classCategorySummaryName eachWholeIndexMax generalIndexName globalDirectoryName htmlSuffix outputRootDirectoryArray overviewName poolDirectoryName topPageName wholeIndexDirectoryName wholeIndexName)

#creator
[:masashi | ^umezawa] 
#version 0.4 M.U!


!DlHtmlOutputProperties methodsFor: 'page elements' stamp: 'MU 4/13/1999 00:04'!
addressTitle
	^self at: #addressTitle ifAbsentPutValue: '- made by Dandelion -'.
	! !

!DlHtmlOutputProperties methodsFor: 'page elements' stamp: 'M.U 5/8/1999 14:44'!
addressURL
	^self at: #addressURL ifAbsentPutValue: 'http://www.mars.dti.ne.jp/~umejava/smalltalk/stClasses/dandelion/index.html'.
	! !

!DlHtmlOutputProperties methodsFor: 'page elements' stamp: 'M.U 5/2/1999 02:14'!
allClassCategoryIndexTitle
	^self at: #allClassCategoryIndexTitle ifAbsentPutValue: 'All Categories'.
	! !

!DlHtmlOutputProperties methodsFor: 'page elements' stamp: 'MU 4/11/1999 23:16'!
allClassIndexTitle
	^self at: #allClassIndexTitle ifAbsentPutValue: 'All Classes'.
	
	! !

!DlHtmlOutputProperties methodsFor: 'page elements' stamp: 'M.U 5/2/1999 02:15'!
allGlobalIndexTitle
	^self at: #allGlobalIndexTitle ifAbsentPutValue: 'All Globals'.
	! !

!DlHtmlOutputProperties methodsFor: 'page elements' stamp: 'M.U 5/2/1999 02:15'!
allPoolIndexTitle
	^self at: #allPoolIndexTitle ifAbsentPutValue: 'All Pools'.
	! !

!DlHtmlOutputProperties methodsFor: 'page elements' stamp: 'MU 4/11/1999 23:16'!
classCategoryDetailTitle
	^self at: #classCategoryDetailTitle ifAbsentPutValue: 'Category Detail'! !

!DlHtmlOutputProperties methodsFor: 'page elements' stamp: 'MU 4/11/1999 23:16'!
classCategorySummaryTitle
	^self at: #classCategorySummaryTitle ifAbsentPutValue: 'Category Index'.
	! !

!DlHtmlOutputProperties methodsFor: 'page elements' stamp: 'MU 3/11/2000 00:35'!
classCategoryTitle
	^self at: #classCategoryTitle ifAbsentPutValue: 'class category'.
	! !

!DlHtmlOutputProperties methodsFor: 'page elements' stamp: 'MU 4/12/1999 00:19'!
classInstanceVariablesTitle
	^self at: #classInstanceVariablesTitle ifAbsentPutValue: 'class instance variables'.
	! !

!DlHtmlOutputProperties methodsFor: 'page elements' stamp: 'MU 4/12/1999 00:03'!
classMethodsTitle
	^self at: #classMethodsTitle ifAbsentPutValue: 'class methods'.
	! !

!DlHtmlOutputProperties methodsFor: 'page elements' stamp: 'MU 3/4/2000 22:43'!
classTitle
	^self at: #classTitle ifAbsentPutValue: 'class'.
	! !

!DlHtmlOutputProperties methodsFor: 'page elements' stamp: 'MU 4/12/1999 00:20'!
classVariablesTitle
	^self at: #classVariablesTitle ifAbsentPutValue: 'class variables'.
	! !

!DlHtmlOutputProperties methodsFor: 'page elements' stamp: 'M.U 1/1/2000 23:37'!
classesInTheCategoryTitle
	^self at: #classesInTheCategoryTitle ifAbsentPutValue: 'Classes in the Category'.
	! !

!DlHtmlOutputProperties methodsFor: 'page elements' stamp: 'MU 4/11/1999 23:16'!
commentTitle
	^self at: #commentTitle ifAbsentPutValue: 'Comment'.
	! !

!DlHtmlOutputProperties methodsFor: 'page elements' stamp: 'MU 4/11/1999 23:22'!
creatorComment
	^self at: #creatorComment ifAbsentPutValue: 'Created by Dandelion'.
	! !

!DlHtmlOutputProperties methodsFor: 'page elements' stamp: 'MU 4/11/1999 23:24'!
definedInComment
	^self at: #definedInComment ifAbsentPutValue: 'defined in'.
	! !

!DlHtmlOutputProperties methodsFor: 'page elements' stamp: 'MU 4/11/1999 23:16'!
detailTitle
	^self at: #detailTitle ifAbsentPutValue: 'Detail'.
	! !

!DlHtmlOutputProperties methodsFor: 'page elements' stamp: 'M.U 12/25/1999 22:22'!
generatorTitle
	^self at: #generatorTitle ifAbsentPutValue: 'Dandelion 0.4'.
	! !

!DlHtmlOutputProperties methodsFor: 'page elements' stamp: 'MU 4/11/1999 23:16'!
hierarchyTitle
	^self at: #hierarchyTitle ifAbsentPutValue: 'Hierarchy'.
	! !

!DlHtmlOutputProperties methodsFor: 'page elements' stamp: 'MU 4/12/1999 23:33'!
initialValueTitle
	^self at: #initialValueTitle ifAbsentPutValue: 'InitialValue'.
	! !

!DlHtmlOutputProperties methodsFor: 'page elements' stamp: 'MU 4/12/1999 00:03'!
instanceMethodsTitle
	^self at: #instanceMethodsTitle ifAbsentPutValue: 'instance methods'.
	! !

!DlHtmlOutputProperties methodsFor: 'page elements' stamp: 'MU 4/12/1999 23:39'!
instanceTitle
	^self at: #instanceTitle ifAbsentPutValue: 'instance'.
	! !

!DlHtmlOutputProperties methodsFor: 'page elements' stamp: 'MU 4/12/1999 00:20'!
instanceVariablesTitle
	^self at: #instanceVariablesTitle ifAbsentPutValue: 'instance variables'.
	! !

!DlHtmlOutputProperties methodsFor: 'page elements' stamp: 'MU 4/12/1999 23:42'!
methodsTitle
	^self at: #methodsTitle ifAbsentPutValue: 'methods'.
	! !

!DlHtmlOutputProperties methodsFor: 'page elements' stamp: 'M.U 5/2/1999 02:16'!
nonFrameGuide
	^self at: #nonFrameGuide ifAbsentPutValue: 'This document is designed to be viewed using the frames feature.'.
	! !

!DlHtmlOutputProperties methodsFor: 'page elements' stamp: 'M.U 5/2/1999 02:12'!
nonFrameTitle
	^self at: #nonFrameTitle ifAbsentPutValue: 'Non-frame version'.
	! !

!DlHtmlOutputProperties methodsFor: 'page elements' stamp: 'mu 1/3/2001 22:35'!
noneTitle
	^self at: #noneTitle ifAbsentPutValue: 'NONE'.! !

!DlHtmlOutputProperties methodsFor: 'page elements' stamp: 'M.U 1/1/2000 23:10'!
notResolvedTitle
	^self at: #notResolvedTitle ifAbsentPutValue: ' ### Not Resolved ### '.
	! !

!DlHtmlOutputProperties methodsFor: 'page elements' stamp: 'MU 4/11/1999 23:17'!
overviewTitle
	^self at: #overviewTitle ifAbsentPutValue: 'Overview'.
	! !

!DlHtmlOutputProperties methodsFor: 'page elements' stamp: 'M.U 5/3/1999 15:31'!
poolTitle
	^self at: #poolTitle ifAbsentPutValue: 'Pool'.
	! !

!DlHtmlOutputProperties methodsFor: 'page elements' stamp: 'MU 4/13/1999 00:07'!
sorryTitle
	^self at: #sorryTitle ifAbsentPutValue: 'Sorry for inconvenience'.
	! !

!DlHtmlOutputProperties methodsFor: 'page elements' stamp: 'MU 4/11/1999 23:17'!
summaryTitle
	^self at: #summaryTitle ifAbsentPutValue: 'Summary'.
	! !

!DlHtmlOutputProperties methodsFor: 'page elements' stamp: 'MU 4/11/1999 23:17'!
systemTitle
	^self at: #systemTitle ifAbsentPutValue: 'Dandelion'.! !

!DlHtmlOutputProperties methodsFor: 'page elements' stamp: 'MU 4/11/1999 23:17'!
topPageTitle
	^'Top page'! !

!DlHtmlOutputProperties methodsFor: 'page elements' stamp: 'MU 3/19/2000 02:08'!
topTitle
	^self at: #topTitle ifAbsentPutValue: '^top'.
	! !

!DlHtmlOutputProperties methodsFor: 'page elements' stamp: 'M.U 5/3/1999 00:32'!
valueTitle
	^self at: #valueTitle ifAbsentPutValue: 'Value'.
	! !

!DlHtmlOutputProperties methodsFor: 'page elements' stamp: 'MU 4/11/1999 23:17'!
wholeIndexTitle
	^self at: #wholeIndexTitle ifAbsentPutValue: 'Whole Index'! !


!DlHtmlOutputProperties methodsFor: 'page elements-style' stamp: 'MU 2/28/2000 00:27'!
highlightName
	^self at: #highlightName ifAbsentPutValue: 'highlight'.
	! !

!DlHtmlOutputProperties methodsFor: 'page elements-style' stamp: 'MU 2/28/2000 00:28'!
normalName
	^self at: #normalName ifAbsentPutValue: 'normal'.
	! !

!DlHtmlOutputProperties methodsFor: 'page elements-style' stamp: 'MU 2/28/2000 00:27'!
shadeName
	^self at: #shade ifAbsentPutValue: 'shade'.
	! !


!DlHtmlOutputProperties methodsFor: 'frame elements' stamp: 'MU 4/11/1999 23:18'!
mainFrameName
	^self at: #mainFrameName ifAbsentPutValue: 'mainFrame'.! !

!DlHtmlOutputProperties methodsFor: 'frame elements' stamp: 'MU 4/11/1999 23:18'!
subMenuFrameName
	^self at: #subMenuFrameName ifAbsentPutValue: 'subMenuFrame'.! !

!DlHtmlOutputProperties methodsFor: 'frame elements' stamp: 'MU 4/11/1999 23:18'!
topMenuFrameName
	^self at: #topMenuFrameName ifAbsentPutValue: 'topMenuFrameName'.
	! !


!DlHtmlOutputProperties methodsFor: 'file elements' stamp: 'MU 4/11/1999 01:08'!
allClassCategoryIndexName
	^self at: #allClassCategoryIndexName ifAbsentPutValue: 'allCategories-frame'! !

!DlHtmlOutputProperties methodsFor: 'file elements' stamp: 'MU 4/11/1999 01:10'!
allClassIndexName
	^self at: #allClassIndexName ifAbsentPutValue: 'allClasses-frame'! !

!DlHtmlOutputProperties methodsFor: 'file elements' stamp: 'MU 4/11/1999 01:12'!
classCategoryDetailName
	^self at: #classCategoryDetailName ifAbsentPutValue: 'category-detail'! !

!DlHtmlOutputProperties methodsFor: 'file elements' stamp: 'MU 4/11/1999 01:12'!
classCategorySummaryName
	^self at: #classCategorySummaryName ifAbsentPutValue: 'index'! !

!DlHtmlOutputProperties methodsFor: 'file elements' stamp: 'M.U 12/28/1999 23:55'!
eachWholeIndexMax
	^self at: #eachWholeIndexMax ifAbsentPutValue: 100.! !

!DlHtmlOutputProperties methodsFor: 'file elements' stamp: 'MU 4/11/1999 01:25'!
generalIndexName
	^self at: #generalIndexName ifAbsentPutValue: 'index'! !

!DlHtmlOutputProperties methodsFor: 'file elements' stamp: 'M.U 5/2/1999 18:22'!
globalDirectoryName
	^self at: #globalDirectoryName ifAbsentPutValue: 'global'.! !

!DlHtmlOutputProperties methodsFor: 'file elements' stamp: 'MU 4/11/1999 01:55'!
htmlSuffix
	^self at: #htmlSuffix ifAbsentPutValue: '.html'! !

!DlHtmlOutputProperties methodsFor: 'file elements' stamp: 'MU 4/11/1999 01:15'!
overviewName
	^self at: #overviewName ifAbsentPutValue: 'overview'.
	! !

!DlHtmlOutputProperties methodsFor: 'file elements' stamp: 'M.U 5/3/1999 00:45'!
poolDirectoryName
	^self at: #poolDirectoryName ifAbsentPutValue: 'pool'.! !

!DlHtmlOutputProperties methodsFor: 'file elements' stamp: 'M.U 1/16/2000 23:38'!
styleSheetDirectoryName
	^self at: #styleSheetDirectoryName ifAbsentPutValue: 'css'.! !

!DlHtmlOutputProperties methodsFor: 'file elements' stamp: 'M.U 1/16/2000 23:37'!
styleSheetName
	^self at: #styleSheetName ifAbsentPutValue: 'Dandelion.css'.! !

!DlHtmlOutputProperties methodsFor: 'file elements' stamp: 'MU 4/11/1999 01:18'!
topPageName
	^self at: #topPageName ifAbsentPutValue: 'index'! !

!DlHtmlOutputProperties methodsFor: 'file elements' stamp: 'MU 4/11/1999 01:42'!
wholeIndexDirectoryName
	^self at: #wholeIndexDirectoryName ifAbsentPutValue: 'wholeIndex'.! !

!DlHtmlOutputProperties methodsFor: 'file elements' stamp: 'MU 4/11/1999 01:41'!
wholeIndexName
	^self at: #wholeIndexName ifAbsentPutValue: 'index'.! !


!DlHtmlOutputProperties methodsFor: 'boolean properties' stamp: 'M.U 1/1/2000 23:50'!
outputResolvedOnly
	^self at: #outputResolvedOnly ifAbsentPutValue: true! !


DlHtmlOutputProperties subclass: #DlChangeSetHtmlOutputProperties
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Dandelion-outputter-html'!
!DlChangeSetHtmlOutputProperties commentStamp: '<historical>' prior: 0!
Below properties can be set. see each method for details

page elements:
#(classMethodsTitle classesTitle instanceMethodsTitle postscriptTitle preambleTitle)

file elements:
#(changeSetDirectoryName classMethodsName classesName instMethodsName)

'page elements-style:
#(addedName addedThenRemovedName changedName newName onlyChangedName removedName)

#creator
[:masashi | ^umezawa] 
#version 0.4 M.U!


!DlChangeSetHtmlOutputProperties methodsFor: 'page elements' stamp: 'MU 3/4/2000 22:45'!
classMethodsTitle
	^self at: #classMethodsTitle ifAbsentPutValue: 'class methods'.
	! !

!DlChangeSetHtmlOutputProperties methodsFor: 'page elements' stamp: 'MU 3/4/2000 22:57'!
classesTitle
	^self at: #classesTitle ifAbsentPutValue: 'classes'.
	! !

!DlChangeSetHtmlOutputProperties methodsFor: 'page elements' stamp: 'MU 3/4/2000 22:45'!
instanceMethodsTitle
	^self at: #instanceMethodsTitle ifAbsentPutValue: 'instance methods'.
	! !

!DlChangeSetHtmlOutputProperties methodsFor: 'page elements' stamp: 'MU 3/5/2000 00:08'!
postscriptTitle
	^self at: #postscriptTitle ifAbsentPutValue: 'postscript'.
	! !

!DlChangeSetHtmlOutputProperties methodsFor: 'page elements' stamp: 'MU 3/5/2000 00:09'!
preambleTitle
	^self at: #preambleTitle ifAbsentPutValue: 'preamble'.
	! !


!DlChangeSetHtmlOutputProperties methodsFor: 'file elements' stamp: 'MU 3/4/2000 22:28'!
changeSetDirectoryName
	^self at: #changeSetDirectoryName ifAbsentPutValue: 'changes'.! !

!DlChangeSetHtmlOutputProperties methodsFor: 'file elements' stamp: 'MU 3/4/2000 23:05'!
classMethodsName
	^self at: #classMethodsName ifAbsentPutValue: 'ClassMethods'! !

!DlChangeSetHtmlOutputProperties methodsFor: 'file elements' stamp: 'MU 3/4/2000 23:05'!
classesName
	^self at: #classesName ifAbsentPutValue: 'Classes'! !

!DlChangeSetHtmlOutputProperties methodsFor: 'file elements' stamp: 'MU 3/4/2000 23:04'!
instMethodsName
	^self at: #instMethodsName ifAbsentPutValue: 'InstMethods'! !


!DlChangeSetHtmlOutputProperties methodsFor: 'page elements-style' stamp: 'MU 3/4/2000 22:39'!
addedName
	^self at: #addedName ifAbsentPutValue: 'added'.! !

!DlChangeSetHtmlOutputProperties methodsFor: 'page elements-style' stamp: 'MU 3/4/2000 22:39'!
addedThenRemovedName
	^self at: #addedThenRemovedName ifAbsentPutValue: 'addedThenRemoved'.! !

!DlChangeSetHtmlOutputProperties methodsFor: 'page elements-style' stamp: 'MU 3/4/2000 22:38'!
changedName
	^self at: #changedName ifAbsentPutValue: 'changed'.! !

!DlChangeSetHtmlOutputProperties methodsFor: 'page elements-style' stamp: 'MU 3/4/2000 22:38'!
newName
	^self at: #newName ifAbsentPutValue: 'new'.! !

!DlChangeSetHtmlOutputProperties methodsFor: 'page elements-style' stamp: 'MU 3/4/2000 22:38'!
onlyChangedName
	^self at: #onlyChangedName ifAbsentPutValue: 'onlyChanged'.! !

!DlChangeSetHtmlOutputProperties methodsFor: 'page elements-style' stamp: 'MU 3/4/2000 22:39'!
removedName
	^self at: #removedName ifAbsentPutValue: 'removed'.! !


DlConvertibleOutputter subclass: #DlHtmlOutputter
	instanceVariableNames: 'htmlDocFactory '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Dandelion-outputter-html'!
!DlHtmlOutputter commentStamp: '<historical>' prior: 0!
I write simple frame-based html files based on AnalysisStorage.
Minor format changes are easily done by setting DlHtmlOutputProperties.

#creator
[:masashi | ^umezawa] 
#version 0.4!


!DlHtmlOutputter methodsFor: 'actions-output' stamp: 'M.U 5/3/1999 18:51'!
outputAllClassCategoryIndex
	| props str |
	props := self properties.
	str := self outStreamNamed: props allClassCategoryIndexName , props htmlSuffix.
	self writeAllClassCategoryIndex.
	str close.
! !

!DlHtmlOutputter methodsFor: 'actions-output' stamp: 'M.U 5/3/1999 18:51'!
outputAllClassIndex
	| props str |
	props := self properties.
	str := self outStreamNamed: props allClassIndexName, props htmlSuffix.
	self writeAllClassIndex.
	str close.
	! !

!DlHtmlOutputter methodsFor: 'actions-output' stamp: 'MU 6/25/2000 01:05'!
outputClassCategories
	| props str nm |
	props := self properties.
	self analysisStorage getAllClassCategories do: [:each | (each isResolved or: [props outputResolvedOnly not])
			ifTrue: 
				[nm := each name.
				str := self outStreamNamed: props classCategorySummaryName , props htmlSuffix in: (Array with: nm).
				self writeClassCategorySummaryFor: each.
				str close.
				str := self outStreamNamed: props classCategoryDetailName , props htmlSuffix in: (Array with: nm).
				self writeClassCategoryDetailFor: each.
				str close]].! !

!DlHtmlOutputter methodsFor: 'actions-output' stamp: 'mu 1/3/2001 22:45'!
outputClasses
	| props |
	props := self properties.
	self analysisStorage getAllClasses do: [:each | (each isResolved or: [props outputResolvedOnly not])
			ifTrue: 
				[| nm cat | 
				nm := each name.
				cat := each category.
				cat isNil
					ifFalse: 
						[| str | 
						str := self outStreamNamed: nm , props htmlSuffix in: (Array with: cat name).
						self writeClassFor: each.
						str close]]]! !

!DlHtmlOutputter methodsFor: 'actions-output' stamp: 'M.U 12/27/1999 00:33'!
outputGlobalRoots
	| props str |
	props := self properties.
	str := self outStreamNamed: (props generalIndexName, props htmlSuffix) in: (Array with: props globalDirectoryName).
	self writeGlobalRoots.
	str close.
	
	! !

!DlHtmlOutputter methodsFor: 'actions-output' stamp: 'M.U 5/3/1999 18:51'!
outputOverview
	| props str |
	props := self properties.
	str := self outStreamNamed: props overviewName, props htmlSuffix.
	self writeOverview.
	str close.
	! !

!DlHtmlOutputter methodsFor: 'actions-output' stamp: 'MU 6/25/2000 01:06'!
outputPools
	| props str nm |
	props := self properties.
	self analysisStorage getAllPools do: 
		[:each | 
		nm := each name.
		str := self outStreamNamed: nm , props htmlSuffix in: (Array with: props poolDirectoryName).
		self writePoolFor: each .
		str close].
	! !

!DlHtmlOutputter methodsFor: 'actions-output' stamp: 'M.U 1/17/2000 00:32'!
outputStylePage
	| props str |
	props := self properties.
	str := self outStreamNamed: props styleSheetName in: (Array with: props styleSheetDirectoryName).
	self writeStylePage.
	str close.
! !

!DlHtmlOutputter methodsFor: 'actions-output' stamp: 'M.U 5/3/1999 18:52'!
outputTopPage
	| props str |
	props := self properties.
	str :=  self outStreamNamed: props topPageName, props htmlSuffix.
	self writeTopPage.
	str close.
	! !

!DlHtmlOutputter methodsFor: 'actions-output' stamp: 'MU 3/20/2000 00:05'!
outputWholeIndex
	| props cats str startIndex stopIndex pageAndAnalyzables |
	props := self properties.
	cats := self analysisStorage getAllAnalyzables.
	startIndex := stopIndex := 0.
	pageAndAnalyzables := OrderedCollection new.
	[cats size < stopIndex]
		whileFalse: 
			[ | outs  pageName |
			startIndex := stopIndex + 1.
			stopIndex := startIndex + (props eachWholeIndexMax - 1).
			outs := cats copyFrom: startIndex to: (stopIndex min: cats size).
			outs isEmpty
				ifFalse: 
					[pageName := props generalIndexName , (stopIndex // props eachWholeIndexMax) printString , props htmlSuffix.
					pageAndAnalyzables add: (Array
							with: pageName
							with: outs first
							with: outs last).
					str := self outStreamNamed: pageName in: (Array with: props wholeIndexDirectoryName).
					self writeWholeIndexWith: outs].
			str close].
	str := self outStreamNamed: props wholeIndexName , props htmlSuffix in: (Array with: props wholeIndexDirectoryName).
	self writeWholeIndexListWith: pageAndAnalyzables.
	str close.! !


!DlHtmlOutputter methodsFor: 'actions-page writing' stamp: 'M.U 12/30/1999 17:26'!
writeAllClassCategoryIndex
	| doc |
	doc := self htmlDocFactory allClassCategoryIndexHtmlDoc.
	doc analysisStorage: self analysisStorage.
	doc writeOn: self outStream.! !

!DlHtmlOutputter methodsFor: 'actions-page writing' stamp: 'M.U 12/30/1999 17:27'!
writeAllClassIndex
	| doc |
	doc := self htmlDocFactory allClassIndexHtmlDoc.
	doc analysisStorage: self analysisStorage.
	doc writeOn: self outStream.! !

!DlHtmlOutputter methodsFor: 'actions-page writing' stamp: 'MU 6/25/2000 01:05'!
writeClassCategoryDetailFor: aDlAnalyzableClassCategory 
	| doc |
	doc := self htmlDocFactory classCategoryDetailHtmlDoc.
	doc analysisStorage: self analysisStorage.
	doc classCategory: aDlAnalyzableClassCategory.
	doc writeOn: self outStream.
	! !

!DlHtmlOutputter methodsFor: 'actions-page writing' stamp: 'MU 6/25/2000 01:05'!
writeClassCategorySummaryFor: aDlAnalyzableClassCategory 
	| doc |
	doc := self htmlDocFactory classCategorySummaryHtmlDoc.
	doc analysisStorage: self analysisStorage.
	doc classCategory: aDlAnalyzableClassCategory.
	doc writeOn: self outStream.
	
	! !

!DlHtmlOutputter methodsFor: 'actions-page writing' stamp: 'MU 6/25/2000 01:05'!
writeClassFor: aDlAnalyzableClass 
	| doc |
	doc := self htmlDocFactory classHtmlDoc.
	doc analysisStorage: self analysisStorage.
	doc klass: aDlAnalyzableClass.
	doc writeOn: self outStream.! !

!DlHtmlOutputter methodsFor: 'actions-page writing' stamp: 'M.U 12/30/1999 17:31'!
writeGlobalRoots
	| doc |
	doc := self htmlDocFactory globalRootHtmlDoc.
	doc analysisStorage: self analysisStorage.
	doc writeOn: self outStream.
	! !

!DlHtmlOutputter methodsFor: 'actions-page writing' stamp: 'M.U 12/30/1999 17:31'!
writeOverview
	| doc |
	doc := self htmlDocFactory overviewHtmlDoc.
	doc analysisStorage: self analysisStorage.
	doc writeOn: self outStream.
	
	! !

!DlHtmlOutputter methodsFor: 'actions-page writing' stamp: 'MU 6/25/2000 01:06'!
writePoolFor: aDlAnalyzablePool 
	| doc |
	doc := self htmlDocFactory poolHtmlDoc.
	doc analysisStorage: self analysisStorage.
	doc pool: aDlAnalyzablePool.
	doc writeOn: self outStream.! !

!DlHtmlOutputter methodsFor: 'actions-page writing' stamp: 'M.U 1/17/2000 00:33'!
writeStylePage
	self htmlDocFactory styleSheetDoc writeOn: self outStream.
	
	
	! !

!DlHtmlOutputter methodsFor: 'actions-page writing' stamp: 'M.U 12/30/1999 17:32'!
writeTopPage
	self htmlDocFactory topHtmlDoc writeOn: self outStream.
	
	
	! !

!DlHtmlOutputter methodsFor: 'actions-page writing' stamp: 'MU 3/19/2000 02:32'!
writeWholeIndexListWith: pageAndAnalyzables  
	| doc |
	doc := self htmlDocFactory wholeIndexListHtmlDoc.
	doc pageAndAnalyzables: pageAndAnalyzables.
	doc writeOn: self outStream.
	! !

!DlHtmlOutputter methodsFor: 'actions-page writing' stamp: 'M.U 12/31/1999 00:13'!
writeWholeIndexWith: aCollectionOfDlAnalyzable  
	| doc |
	doc := self htmlDocFactory wholeIndexHtmlDoc.
	doc analysisStorage: self analysisStorage.
	doc analyzables: aCollectionOfDlAnalyzable.
	doc writeOn: self outStream.! !


!DlHtmlOutputter methodsFor: 'factory' stamp: 'MU 4/7/2000 18:32'!
defaultActionSequence
	^#(
	#outputStylePage
	#outputTopPage
	#outputAllClassCategoryIndex
	#outputAllClassIndex
	#outputOverview
	#outputClassCategories
	#outputClasses
	#outputGlobalRoots
	#outputPools
	#outputWholeIndex
	).! !

!DlHtmlOutputter methodsFor: 'factory' stamp: 'MU 2/13/2000 23:56'!
defaultHtmlDocFactory
	^DlHtmlDocFactory with: self properties.! !


!DlHtmlOutputter methodsFor: 'accessing' stamp: 'M.U 12/30/1999 17:25'!
htmlDocFactory
	htmlDocFactory isNil ifTrue: [ htmlDocFactory := self defaultHtmlDocFactory].
	^htmlDocFactory! !

!DlHtmlOutputter methodsFor: 'accessing' stamp: 'M.U 12/30/1999 17:26'!
htmlDocFactory: aValue
	htmlDocFactory := aValue! !


!DlHtmlOutputter methodsFor: 'converting' stamp: 'mu 1/3/2001 22:54'!
asChangeSetOutputter
	^self as: DlHtmlChangeSetOutputter! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

DlHtmlOutputter class
	instanceVariableNames: ''!

!DlHtmlOutputter class methodsFor: 'examples' stamp: 'MU 2/13/2000 23:55'!
example1
	| cl formatter |
	DlAnalysisStorage default initialize.
	cl := DlAnalyzableClass named: #'DlAccessorMutatorCreator'.
	cl analyze.
	formatter := DlHtmlOutputter on: DlAnalysisStorage default.
	formatter output.
	! !


!DlHtmlOutputter class methodsFor: 'property'!
defaultProperties
	^ DlHtmlOutputProperties new inherit: super defaultProperties! !


DlHtmlOutputter subclass: #DlHtmlChangeSetOutputter
	instanceVariableNames: 'changeSet '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Dandelion-outputter-html'!
!DlHtmlChangeSetOutputter commentStamp: '<historical>' prior: 0!
I write html files which show changeSet information.

#creator
[:masashi | ^umezawa] 
#version 0.1!


!DlHtmlChangeSetOutputter methodsFor: 'actions-output' stamp: 'mu 1/3/2001 01:55'!
outputChangeSetClasses
	| props cSet |
	props := self properties.
	cSet := self changeSet.
	self privOutputNamed: props addedName, props classesName by: [
		self writeChangeSetClassesWith: cSet addedClasses kind: props addedName, ' ', props classesTitle.
	].
	self privOutputNamed: props changedName, props classesName by: [
		self writeChangeSetClassesWith: cSet changedClasses kind: props changedName, ' ', props classesTitle.
	].
	self privOutputNamed: props removedName, props classesName by: [
		self writeChangeSetClassesWith: cSet removedClasses kind: props removedName, ' ', props classesTitle.
	].
	self privOutputNamed: props addedThenRemovedName, props classesName by: [
		self writeChangeSetClassesWith: cSet addedThenRemovedClasses kind: props addedThenRemovedName, ' ', props classesTitle.
	].
	! !

!DlHtmlChangeSetOutputter methodsFor: 'actions-output' stamp: 'MU 3/4/2000 23:38'!
outputChangeSetMethods
	| props cSet |
	"BRUTE-FORCE: We need message catalog... MU 3/4/2000 23:10"
	props := self properties.
	cSet := self changeSet.

	self privOutputNamed: props addedName, props instMethodsName by: [
		self writeChangeSetMethodsWith: cSet addedInstMethods kind: props addedName, ' ', props instanceMethodsTitle.
	].
	self privOutputNamed: props addedName, props classMethodsName by: [
		self writeChangeSetMethodsWith: cSet addedClassMethods kind: props addedName, ' ', props classMethodsTitle.
	].
	self privOutputNamed: props changedName, props instMethodsName by: [
		self writeChangeSetMethodsWith: cSet changedInstMethods kind: props changedName, ' ', props instanceMethodsTitle.
	].
	self privOutputNamed: props changedName, props classMethodsName by: [
		self writeChangeSetMethodsWith: cSet changedClassMethods kind: props changedName, ' ', props classMethodsTitle.
	].
	self privOutputNamed: props addedThenRemovedName, props instMethodsName by: [
		self writeChangeSetMethodsWith: cSet addedThenRemovedInstMethods kind: props addedThenRemovedName, ' ', props instanceMethodsTitle.
	].
	self privOutputNamed: props addedThenRemovedName, props classMethodsName by: [
		self writeChangeSetMethodsWith: cSet addedThenRemovedClassMethods kind: props addedThenRemovedName, ' ', props classMethodsTitle.
	].
	self privOutputNamed: props removedName, props instMethodsName by: [
		self writeChangeSetMethodsWith: cSet removedInstMethods kind: props removedName, ' ', props instanceMethodsTitle.
	].
	self privOutputNamed: props removedName, props classMethodsName by: [
		self writeChangeSetMethodsWith: cSet removedClassMethods kind: props removedName, ' ', props classMethodsTitle.
	].
	! !

!DlHtmlChangeSetOutputter methodsFor: 'actions-output' stamp: 'MU 2/20/2000 00:29'!
outputChangeSetOverview
	| props cSet str |
	props := self properties.
	cSet := self changeSet.
	str := self outStreamNamed: props overviewName , props htmlSuffix.
	self writeChangeSetOverviewOn: cSet.
	str close.! !


!DlHtmlChangeSetOutputter methodsFor: 'actions-page writing' stamp: 'MU 3/4/2000 23:29'!
writeChangeSetClassesWith: aCollectionOfDlAnalyzableClass kind: aDocKindString
	| doc |
	doc := self htmlDocFactory changeSetClassesHtmlDoc.
	doc analysisStorage: self analysisStorage.
	doc changeSet: self changeSet.
	doc classes: aCollectionOfDlAnalyzableClass.
	doc kind: aDocKindString.
	doc writeOn: self outStream.
	
	! !

!DlHtmlChangeSetOutputter methodsFor: 'actions-page writing' stamp: 'MU 3/4/2000 23:29'!
writeChangeSetMethodsWith: aCollectionOfDlAnalyzableMethods kind: aDocKindString
	| doc |
	doc := self htmlDocFactory changeSetMethodsHtmlDoc.
	doc changeSet: self changeSet.
	doc methods: aCollectionOfDlAnalyzableMethods.
	doc kind: aDocKindString.
	doc writeOn: self outStream.
	! !

!DlHtmlChangeSetOutputter methodsFor: 'actions-page writing' stamp: 'MU 2/19/2000 23:51'!
writeChangeSetOverviewOn: aDlAnalyzableChangeSet
	| doc |
	doc := self htmlDocFactory changeSetOverviewHtmlDoc.
	doc analysisStorage: self analysisStorage.
	doc changeSet: aDlAnalyzableChangeSet.
	doc writeOn: self outStream.
	
	! !


!DlHtmlChangeSetOutputter methodsFor: 'private' stamp: 'MU 3/4/2000 23:00'!
changeSetDirectoryNameArray
	^(Array with: self properties changeSetDirectoryName).! !

!DlHtmlChangeSetOutputter methodsFor: 'private' stamp: 'MU 3/4/2000 23:25'!
privOutputNamed: aString by: aBlock
	| props  str |
	props := self properties.
	str := self outStreamNamed: aString, props htmlSuffix in:  self changeSetDirectoryNameArray.
	aBlock value.
	str close.! !


!DlHtmlChangeSetOutputter methodsFor: 'accessing' stamp: 'MU 2/20/2000 00:28'!
changeSet
	changeSet isNil ifTrue: [changeSet := self defaultChangeSet].
	^changeSet! !

!DlHtmlChangeSetOutputter methodsFor: 'accessing' stamp: 'MU 2/20/2000 00:25'!
changeSet: aValue

	changeSet := aValue! !


!DlHtmlChangeSetOutputter methodsFor: 'factory' stamp: 'MU 4/7/2000 18:32'!
defaultActionSequence
	^#(
	#outputStylePage
	#outputTopPage
	#outputAllClassCategoryIndex
	#outputAllClassIndex
	#outputChangeSetOverview
	#outputChangeSetClasses
	#outputChangeSetMethods
	#outputClassCategories
	#outputClasses
	#outputWholeIndex
	).! !

!DlHtmlChangeSetOutputter methodsFor: 'factory' stamp: 'MU 2/20/2000 00:27'!
defaultChangeSet
	"does not support multi changeSet"
	^self analysisStorage getAllChangeSets first.! !

!DlHtmlChangeSetOutputter methodsFor: 'factory' stamp: 'MU 2/20/2000 00:58'!
defaultHtmlDocFactory
	^DlChangeSetHtmlDocFactory with: self properties.! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

DlHtmlChangeSetOutputter class
	instanceVariableNames: ''!

!DlHtmlChangeSetOutputter class methodsFor: 'property' stamp: 'MU 4/7/2000 01:45'!
defaultProperties
	^DlChangeSetHtmlOutputProperties new inherit: super defaultProperties! !
